#!/bin/sh

# $Copyright: Copyright (c) 2011 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $  


# Generate threadlist
#

#
#
#check for lock file
if [ -f $LOCATION/log/threadlock.flag ];
then
 	exit
fi

# create lock file

echo $$ > $LOCATION/$LOGDIR/threadlock.flag

# use mdb if we can
if [ $OSTYPE -eq 1]
then
adb -k <<tlist
$<threadlist
tlist
else
mdb -k <<tlist
$<threadlist
tlist
fi

# remove lock
rm $LOCATION/$LOGDIR/threadlock.flag

